VoodooBattery => VoodooBattery News => Topic started by: Superhai on January 12, 2010, 10:23:07 PM

Title: VoodooBattery 1.3.3 for 10.6.x (05MAR12) Beta update
Post by: Superhai on January 12, 2010, 10:23:07 PM
Beta test
I have gone through the source code and refreshed most of it, it has been prepared for Lion.

However for those with issues with ACPI read due to older incompatible versions of their ACPI BIOS, will not benefit from this update. An update addressing this issue would need a custom ACPI read module, and I have no immediate plans for the moment.

This file is only for testing, and might not work as of now. If you have bugs, I will check this board occasionally.
ControlMethodBattery Limited version for debugging (https://www.rapidshare.com/files/3274202528/ControlMethodBattery.kext.zip)
Temporary link to access the source code. (https://www.rapidshare.com/files/1504957904/ControlMethodBattery.zip)

Version 1.3.3
Some bugfixes
Version 1.3.2
Multi bay race condition and A/C detection fix, some more panic causers, rewrite of weak acpi value calculation.
Version 1.3.1
Changed AC detect, fixed some potential panic causers. Todo: rewrite the handling of weak acpi values.
Version 1.3.0
Updated all the code and removed a couple of minor bugs. Snow leopard only (32/64 bit)

What does this thing do and where to get it?
Interface between ACPI control method batteries and OS X powermanagement controls. Basically get the battery icon. 
Downloads -> Release Editions (http://www.rapidshare.com/files/422606881/VoodooBattery.kext.zip),  Debug Editions (http://www.rapidshare.com/files/422606977/VoodooBattery.kext.zip) and Source (http://www.rapidshare.com/files/422607018/VoodooBattery.zip).

Doesn't work?
There is an option in the Info.plist called Quirck and enable it if you have a bad ACPI. It might work better for you.
You can post bug report at the bug forum (http://forum.voodooprojects.org/index.php/board,19.0.html). If it is worth reporting do it properly.
Some have reported that OS X misbehaves when on battery and system-id is not 2 (i.e. laptop).

System Requirements?
It is supposed to be installed into /System/Library/Extensions/

Thanks to billbrasky and oldnapalm for testing